Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.metadata
Class IEssMember.EEssTimeBalanceOption

    java.lang.Object
      com.essbase.api.metadata.IEssMember.EEssTimeBalanceOption

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssMember

public static final class IEssMember.EEssTimeBalanceOption
extends java.lang.Object
implements IEssEnum

EEssTimeBalanceOption class is the enumeration of time balance options. This is valid only for members of the Accounts dimension.

Field Summary
`static IEssMember.EEssTimeBalanceOption` | `AVERAGE`
`static int` | `AVERAGE_INT_VALUE`
`static IEssMember.EEssTimeBalanceOption` | `FIRST`
`static int` | `FIRST_INT_VALUE`
`static IEssMember.EEssTimeBalanceOption` | `LAST`
`static int` | `LAST_INT_VALUE`
`static IEssMember.EEssTimeBalanceOption` | `NONE`
`static int` | `NONE_INT_VALUE`

Constructor Summary
`IEssMember.EEssTimeBalanceOption()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssMember.EEssTimeBalanceOption` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssMember.EEssTimeBalanceOption` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssMember.EEssTimeBalanceOption[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final IEssMember.EEssTimeBalanceOption NONE

### FIRST

    public static final IEssMember.EEssTimeBalanceOption FIRST

### LAST

    public static final IEssMember.EEssTimeBalanceOption LAST

### AVERAGE

    public static final IEssMember.EEssTimeBalanceOption AVERAGE

### NONE_INT_VALUE

    public static final int NONE_INT_VALUE

See Also:
  Constant Field Values

### FIRST_INT_VALUE

    public static final int FIRST_INT_VALUE

See Also:
  Constant Field Values

### LAST_INT_VALUE

    public static final int LAST_INT_VALUE

See Also:
  Constant Field Values

### AVERAGE_INT_VALUE

    public static final int AVERAGE_INT_VALUE

See Also:
  Constant Field Values

Constructor Detail

### IEssMember.EEssTimeBalanceOption

    public IEssMember.EEssTimeBalanceOption()

Method Detail

### sm_fromString

    public static IEssMember.EEssTimeBalanceOption sm_fromString(java.lang.String strValue)
                                                          throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssMember.EEssTimeBalanceOption sm_fromInt(int intValue)
                                                       throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssMember.EEssTimeBalanceOption[] sm_values()
                                                        throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD